Login
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in newsbeuter
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in newsbeuter
ID: openSUSE-SU-2018:0229-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.2, SUSE openSUSE Leap 42.3
Datum: Fr, 26. Januar 2018, 00:29
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14500
Applikationen: Newsbeuter

Originalnachricht

   openSUSE Security Update: Security update for newsbeuter
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0229-1
Rating: important
References: #1059057
Cross-References: CVE-2017-14500
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for newsbeuter fixes one issues.

This security issue was fixed:

- CVE-2017-14500: Improper Neutralization of special elements allowed
remote attackers to perform user-assisted code execution by crafting an
RSS item with a media enclosure that includes shell metacharacters in
its filename (bsc#1059057).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-92=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2018-92=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (x86_64):

newsbeuter-2.9-8.1
newsbeuter-debuginfo-2.9-8.1
newsbeuter-debugsource-2.9-8.1

- openSUSE Leap 42.3 (noarch):

newsbeuter-lang-2.9-8.1

- openSUSE Leap 42.2 (noarch):

newsbeuter-lang-2.9-2.6.1

- openSUSE Leap 42.2 (x86_64):

newsbeuter-2.9-2.6.1
newsbeuter-debuginfo-2.9-2.6.1
newsbeuter-debugsource-2.9-2.6.1


References:

https://www.suse.com/security/cve/CVE-2017-14500.html
https://bugzilla.suse.com/1059057

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung